<?php
/*
  Plugin Name: Events Calendar - new color scheme
  Plugin URI: https://tickera.com
  Description: Adds new color scheme to the Events Calendar addon
  Author: Tickera
  Author URI: https://tickera.com
  Version: 1.0
  TextDomain: tc
  Domain Path: /languages/

  Copyright 2019 Tickera (https://tickera.com)
 */
if (!defined('ABSPATH')) {
    exit;
} // Exit if accessed directly

if (!class_exists('TC_events_calendar_new_color_scheme')) {
    class TC_events_calendar_new_color_scheme
    {
        public $version		 = '1.0';
        public $title		 = 'Events Calendar - new color scheme';
        public $name		 = 'events_calendar_new_color_scheme';
        public $dir_name	 = 'events_calendar_new_color_scheme';
        public $location	 = 'plugins';
        public $plugin_dir	 = '';
        public $plugin_url	 = '';

        function __construct()
        {
            $this->init_vars();
            add_filter('tc_calendar_color_schemes', array($this, 'custom_color_scheme'));
        }

        function init_vars()
        {
            //setup proper directories
            if (defined('WP_PLUGIN_URL') && defined('WP_PLUGIN_DIR') && file_exists(WP_PLUGIN_DIR . '/' . $this->dir_name . '/' . basename(__FILE__))) {
                $this->location		 = 'subfolder-plugins';
                $this->plugin_dir	 = WP_PLUGIN_DIR . '/' . $this->dir_name . '/';
                $this->plugin_url	 = plugins_url('/', __FILE__);
            } elseif (defined('WP_PLUGIN_URL') && defined('WP_PLUGIN_DIR') && file_exists(WP_PLUGIN_DIR . '/' . basename(__FILE__))) {
                $this->location		 = 'plugins';
                $this->plugin_dir	 = WP_PLUGIN_DIR . '/';
                $this->plugin_url	 = plugins_url('/', __FILE__);
            } elseif (is_multisite() && defined('WPMU_PLUGIN_URL') && defined('WPMU_PLUGIN_DIR') && file_exists(WPMU_PLUGIN_DIR . '/' . basename(__FILE__))) {
                $this->location		 = 'mu-plugins';
                $this->plugin_dir	 = WPMU_PLUGIN_DIR;
                $this->plugin_url	 = WPMU_PLUGIN_URL;
            } else {
                wp_die(sprintf(__('There was an issue determining where %s is installed. Please reinstall it.', 'tc'), $this->title));
            }
        }

        function custom_color_scheme($schemes){
          $schemes['my_custom_scheme'] = array(
              'name' => __('My custom scheme', 'ec'),
              'url' => $this->plugin_url . '/css/custom-scheme.css',
              'colors' => array('#fad390', '#f8c291', '#6a89cc')
          );
          return $schemes;
        }
    }
}

$TC_events_calendar_new_color_scheme = new TC_events_calendar_new_color_scheme();
